# FoundationClasses
TKernel
Storage

# Storage_StdMapNodeOfMapOfAsciiString Class Reference

`#include <Storage_StdMapNodeOfMapOfAsciiString.hxx>`

Inheritance diagram for Storage_StdMapNodeOfMapOfAsciiString:

[legend]

## Public Member Functions

| Storage_StdMapNodeOfMapOfAsciiString (const TCollection_AsciiString &K, const TCollection_MapNodePtr &n)
TCollection_AsciiString & | Key () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_AsciiString | myKey

## Constructor & Destructor Documentation

Storage_StdMapNodeOfMapOfAsciiString::Storage_StdMapNodeOfMapOfAsciiString | ( | const TCollection_AsciiString & | K,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const Storage_StdMapNodeOfMapOfAsciiString::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

TCollection_AsciiString& Storage_StdMapNodeOfMapOfAsciiString::Key | ( |  | ) | const

## Field Documentation

TCollection_AsciiString Storage_StdMapNodeOfMapOfAsciiString::myKey `[private]`

The documentation for this class was generated from the following file:

- Storage_StdMapNodeOfMapOfAsciiString.hxx